Loading...
Searching...
No Matches
itk::MevisDicomTiffImageIOFactory Class Reference

`#include <itkMevisDicomTiffImageIOFactory.h>`

## Detailed Description

Create instances of MevisDicomTiffImageIO objects using an object factory.

Definition at line 31 of file itkMevisDicomTiffImageIOFactory.h.

Inheritance diagram for itk::MevisDicomTiffImageIOFactory:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = MevisDicomTiffImageIOFactory
using | Superclass = ObjectFactoryBase

## Public Member Functions

virtual const char * | GetClassName () const
virtual const char * | GetDescription () const
virtual const char * | GetITKSourceVersion () const
| ITK_DISALLOW_COPY_AND_MOVE (MevisDicomTiffImageIOFactory)
| itkFactorylessNewMacro (Self)

## Static Public Member Functions

static void | RegisterOneFactory ()

## Protected Member Functions

| MevisDicomTiffImageIOFactory ()
| ~MevisDicomTiffImageIOFactory ()

## Member Typedef Documentation

## ConstPointer

using itk::MevisDicomTiffImageIOFactory::ConstPointer = SmartPointer<const Self>

Definition at line 40 of file itkMevisDicomTiffImageIOFactory.h.

## Pointer

using itk::MevisDicomTiffImageIOFactory::Pointer = SmartPointer<Self>

Definition at line 39 of file itkMevisDicomTiffImageIOFactory.h.

## Self

using itk::MevisDicomTiffImageIOFactory::Self = MevisDicomTiffImageIOFactory

Standard class typedefs.

Definition at line 37 of file itkMevisDicomTiffImageIOFactory.h.

## Superclass

using itk::MevisDicomTiffImageIOFactory::Superclass = ObjectFactoryBase

Definition at line 38 of file itkMevisDicomTiffImageIOFactory.h.

## Constructor & Destructor Documentation

## MevisDicomTiffImageIOFactory()

itk::MevisDicomTiffImageIOFactory::MevisDicomTiffImageIOFactory | ( |  | ) |

protected

## ~MevisDicomTiffImageIOFactory()

itk::MevisDicomTiffImageIOFactory::~MevisDicomTiffImageIOFactory | ( |  | ) |

protected

## Member Function Documentation

## GetClassName()

virtual const char * itk::MevisDicomTiffImageIOFactory::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## GetDescription()

virtual const char * itk::MevisDicomTiffImageIOFactory::GetDescription | ( |  | ) | const

virtual

## GetITKSourceVersion()

virtual const char * itk::MevisDicomTiffImageIOFactory::GetITKSourceVersion | ( |  | ) | const

virtual

Class methods used to interface with the registered factories.

## ITK_DISALLOW_COPY_AND_MOVE()

itk::MevisDicomTiffImageIOFactory::ITK_DISALLOW_COPY_AND_MOVE | ( | MevisDicomTiffImageIOFactory |  | ) |

## itkFactorylessNewMacro()

itk::MevisDicomTiffImageIOFactory::itkFactorylessNewMacro | ( | Self |  | ) |

Method for class instantiation.

## RegisterOneFactory()

void itk::MevisDicomTiffImageIOFactory::RegisterOneFactory | ( |  | ) |

inline static

Register one factory of this type

Definition at line 57 of file itkMevisDicomTiffImageIOFactory.h.

Generated on 1768596610 for elastix by 1.15.0 |